stealthy-require-no-leak

    1.0.5 • Public • Published

    stealthy-require-no-leak

    npm version Linux macOS Windows compatible Build status Coverage status Dependency status Renovate enabled
    Open in Gitpod Buy Me a Coffee PayPal Patreon

    Drop-in replacement for stealthy-require that fixes a memory leak when being called multiple times.

    Install

    # npm
    $ npm install stealthy-require-no-leak
    
    # Yarn
    $ yarn add stealthy-require-no-leak

    Usage

    The function works exactly like stealthy-require, but with a recommended fix when requiring the same file multiple times. See the stealthy-require readme for details.

    const stealthyRequire = require('stealthy-require-no-leak')
    
    const mod = stealthyRequire(require.cache, () => require('./foo'))

    Contribute

    Are you missing something or want to contribute? Feel free to file an issue or a pull request! ⚙️

    Support

    Hey, I am Sebastian Landwehr, a freelance web developer, and I love developing web apps and open source packages. If you want to support me so that I can keep packages up to date and build more helpful tools, you can donate here:

    Buy Me a Coffee  If you want to send me a one time donation. The coffee is pretty good 😊.
    PayPal  Also for one time donations if you like PayPal.
    Patreon  Here you can support me regularly, which is great so I can steadily work on projects.

    Thanks a lot for your support! ❤️

    License

    MIT License © Sebastian Landwehr

    Install

    npm i stealthy-require-no-leak

    DownloadsWeekly Downloads

    103

    Version

    1.0.5

    License

    MIT

    Unpacked Size

    7.31 kB

    Total Files

    4

    Last publish

    Collaborators

    • dword-design